/*  Copyright (C) 1998-9  Richard Braakman, Anthony Towns
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <stddef.h>
#include <stdlib.h>

#include "run-scripts.h"

static char **arglist;
static int argcount;

/* Add an argument to arglist.  The pointer ARG is used; the argument
 * string is not copied.  Returns 0 for success or -1 for failure.
 * Leaves arglist unmodified on failure.  
 */
int push_arg(char *arg) {
    if (!arglist) {
	arglist = (char **)malloc(2 * sizeof(*arglist));
	if (!arglist)
	    return -1;
    } else {
	char **new_arglist;
	new_arglist = (char **)realloc(arglist,
				       (argcount + 2) * sizeof(*arglist));
	if (!new_arglist)
	    return -1;
	arglist = new_arglist;
    }
    arglist[argcount++] = arg;
    arglist[argcount] = NULL;
    return 0;
}

char **get_argv(void) {
    return arglist;
}

int get_argc(void) {
    return argcount;
}
