/* main.c */
extern int verbose;
extern int debug;
extern int no_act;

/* run.c */
int run_scripts(char **filenames, int count, char *argument, int reverse);

/* arglist.c */
int push_arg(char *arg);
char **get_argv(void);
int get_argc(void);

/* stringsets.c */
struct stringset {
    char **strings; 
    short count;    /* strings[0..count-1] is initialized */
    short room;     /* strings[0..room-1] is allocated */
};

void stringset_clear_error(void);
int stringset_error(void);
int stringset_addelem(struct stringset *set, char *elem, int len);
int stringset_subelem(struct stringset *set, char *elem, int len);
int stringset_add(struct stringset *x, struct stringset *y);
int stringset_sub(struct stringset *x, struct stringset *y);
struct stringset *stringset_parse(char *line);
int stringset_empty_intersect(struct stringset *x, struct stringset *y);
struct stringset *stringset_new(void);
